#
# spec file for package showfont
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           showfont
Version:        1.0.6
Release:        1.6
Summary:        Font dumper for X font server
License:        MIT
Group:          System/X11/Utilities
URL:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libfs)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
showfont displays data about a font from an X font server.
The information shown includes font information, font properties,
character metrics, and character bitmaps.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README.md
%{_bindir}/showfont
%{_mandir}/man1/showfont.1%{?ext_man}

%changelog
* Wed Aug 31 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.6
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * Fix spelling/wording issues
  * gitlab CI: add a basic build test
  * man page: remove out-of-date COPYRIGHT section
  * Reduce variable scopes as suggested by cppcheck
  * Take care of -Wsign-compare warnings
* Sat Jan  3 2015 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.0.5:
  This minor maintenance release provides the usual set of
  accumulated build configuration improvements, compiler warning
  fixes, and other janitorial cleanups.
* Fri Jan 18 2013 zaitor@opensuse.org
- Update to version 1.0.4:
  + Strip trailing whitespace.
  + Fix gcc -Wwrite-strings warnings.
  + config: move man pages into their own directory.
  + man: remove trailing spaces and tabs.
  + config: replace deprecated AM_CONFIG_HEADER with
    AC_CONFIG_HEADERS. This silences an Autoconf warning.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split showfont from xorg-x11. Initial version: 1.0.3.
